Camel
  1. Camel
  2. CAMEL-4423

use geronimo-jaxws_2.2_spec 1.1 bundle

    Details

    • Type: Improvement Improvement
    • Status: Resolved
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 2.8.2, 2.9.0
    • Component/s: osgi
    • Labels:
      None
    • Estimated Complexity:
      Unknown

      Description

      since geronimo-jaxws_2.2_spec-1.1.jar already fixed the incorrect Import-Package javax.xml.namespace(previously it import javax.xml.namespace with version="1.0", which prevent us to use the one from system bundle, so we have to create a wrapper jaxws 2.2 spec bundle in Servicemix) OSGi header, so we can use it in features.xml

        Activity

        Freeman Fang made changes -
        Component/s osgi [ 12313921 ]
        Freeman Fang made changes -
        Status In Progress [ 3 ] Resolved [ 5 ]
        Fix Version/s 2.8.2 [ 12317866 ]
        Fix Version/s 2.9.0 [ 12316374 ]
        Resolution Fixed [ 1 ]
        Freeman Fang made changes -
        Field Original Value New Value
        Status Open [ 1 ] In Progress [ 3 ]
        Freeman Fang created issue -

          People

          • Assignee:
            Freeman Fang
            Reporter:
            Freeman Fang
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development